As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 640421 - dropdown marker in urlbar is huge on Linux
: dropdown marker in urlbar is huge on Linux
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b3
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 642404
Blocks: 643404
  Show dependency treegraph
 
Reported: 2011-03-09 17:15 PST by Robert Kaiser
Modified: 2011-03-21 06:26 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (9.62 KB, patch)
2011-03-10 13:34 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
stefanh: ui‑review+
Details | Diff | Splinter Review
Screenshots (3.99 KB, image/png)
2011-03-10 14:41 PST, Stefan [:stefanh]
no flags Details
Potential alternate mac styling (1.09 KB, patch)
2011-03-11 11:53 PST, neil@parkwaycc.co.uk
no flags Details | Diff | Splinter Review
Screenshot (4.42 KB, image/png)
2011-03-11 15:00 PST, Stefan [:stefanh]
no flags Details
Screenshot - when focused (4.90 KB, image/png)
2011-03-11 15:17 PST, Stefan [:stefanh]
no flags Details

Description User image Robert Kaiser 2011-03-09 17:15:46 PST
In bug 401417, Neil and me both noticed that the urlbar and searchbar are vastly different in height on Linux due to an overly huge dropdown button in the urlbar. We might want to fix this in a way to make this one smaller.
Comment 1 User image neil@parkwaycc.co.uk 2011-03-10 13:34:54 PST
Created attachment 518500 [details] [diff] [review]
Proposed patch

We're actually using the toolkit CSS, which needs enablehistory="true" (rather than the old XPFE disablehistory="false") to display correctly on Linux. The first side-effect is that we can't give a custom border to the URLbar itself, although we never used it as -moz-appearance took priority. The second is that enablehistory="true" sets moz-appearance on the autocomplete-textbox-container  which makes it impossible to turn it yellow on a secure site, so I had to give the URLbar its own specific XBL content to achieve this.
Comment 2 User image Stefan [:stefanh] 2011-03-10 14:40:30 PST
Comment on attachment 518500 [details] [diff] [review]
Proposed patch

There's an issue when you've focused the url bar on a secure site. It looks like the bottom of the dropmarker obscures a small part of the focus ring.
Comment 3 User image Stefan [:stefanh] 2011-03-10 14:41:15 PST
Created attachment 518531 [details]
Screenshots

Screenshots, demonstrating the issue.
Comment 4 User image neil@parkwaycc.co.uk 2011-03-10 14:48:10 PST
What if you back out the Mac theme changes? I only changed them to be consistent with Linux.
Comment 5 User image Stefan [:stefanh] 2011-03-10 14:57:23 PST
(In reply to comment #4)
> What if you back out the Mac theme changes? I only changed them to be
> consistent with Linux.

Yeah, that looks better. I'll take a more detailed look tomorrow - I haven't looked at the other autocompletes.
Comment 6 User image Stefan [:stefanh] 2011-03-11 04:37:06 PST
(In reply to comment #1)
> The second is that
> enablehistory="true" sets moz-appearance on the autocomplete-textbox-container 
> which makes it impossible to turn it yellow on a secure site, so I had to give
> the URLbar its own specific XBL content to achieve this.

Wouldn't "-moz-appearance: none" be better than adding all the xbl content?
Comment 7 User image neil@parkwaycc.co.uk 2011-03-11 04:38:23 PST
(In reply to comment #6)
> (In reply to comment #1)
> > The second is that
> > enablehistory="true" sets moz-appearance on the autocomplete-textbox-container 
> > which makes it impossible to turn it yellow on a secure site, so I had to give
> > the URLbar its own specific XBL content to achieve this.
> Wouldn't "-moz-appearance: none" be better than adding all the xbl content?
No, because on a Linux enablehistory autocomplete it's what draws the border.
Comment 8 User image Stefan [:stefanh] 2011-03-11 04:55:53 PST
(In reply to comment #7)
> > Wouldn't "-moz-appearance: none" be better than adding all the xbl content?
> No, because on a Linux enablehistory autocomplete it's what draws the border.

Aha, OK.
Comment 9 User image Stefan [:stefanh] 2011-03-11 04:59:19 PST
Comment on attachment 518500 [details] [diff] [review]
Proposed patch

This is fine on Mac default if you revert the mac/navigator/navigator.css changes.
Comment 10 User image neil@parkwaycc.co.uk 2011-03-11 11:53:39 PST
Created attachment 518780 [details] [diff] [review]
Potential alternate mac styling

The previous patch went wrong because it applied the colour to an element contained inside a padded element. This should fix that by moving the padding.

This just replaces the hunk for mac's navigator.css from attachment 518500 [details] [diff] [review].
Comment 11 User image Stefan [:stefanh] 2011-03-11 14:57:39 PST
Comment on attachment 518780 [details] [diff] [review]
Potential alternate mac styling

Sorry, this won't work - it creates a white line under the dropmarker. See the screnshot in the next comment.
Comment 12 User image Stefan [:stefanh] 2011-03-11 15:00:05 PST
Created attachment 518848 [details]
Screenshot
Comment 13 User image Stefan [:stefanh] 2011-03-11 15:17:05 PST
Created attachment 518852 [details]
Screenshot - when focused
Comment 14 User image neil@parkwaycc.co.uk 2011-03-11 16:16:40 PST
(In reply to comment #11)
> Sorry, this won't work - it creates a white line under the dropmarker. See the
> screnshot in the next comment.
Bah, why does the Mac have to be so weird :-( I give up.
Comment 15 User image Ian Neal 2011-03-13 09:39:55 PDT
Comment on attachment 518500 [details] [diff] [review]
Proposed patch

r=me with linux css changes only
Comment 16 User image neil@parkwaycc.co.uk 2011-03-13 14:27:24 PDT
Pushed changeset 64392a2ec60c to comm-central.
Comment 17 User image Jens Hatlak (:InvisibleSmiley) 2011-03-13 15:58:47 PDT
(In reply to comment #16)
> Pushed changeset 64392a2ec60c to comm-central.

FTR: You botched the bug number; maybe add a note to bug 420421?
Comment 18 User image Stefan [:stefanh] 2011-03-16 10:41:41 PDT
Comment on attachment 518780 [details] [diff] [review]
Potential alternate mac styling

Clearing out obsolete request.

Note You need to log in before you can comment on or make changes to this bug.